Package org.lwjgl.opengl

# Class AMDInterleavedElements

java.lang.Object
org.lwjgl.opengl.AMDInterleavedElements

public final class AMDInterleavedElements extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_VERTEX_ELEMENT_SWIZZLE_AMD`
Accepted by the <pname> parameter of VertexAttribParameteriAMD and GetVertexAttrib{iv|dv|fv|Iiv|Iuiv|Ldv}:
`static final int`
`GL_VERTEX_ID_SWIZZLE_AMD`
Selected by the <pname> parameter of ProgramParameteri and GetProgramiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glVertexAttribParameteriAMD(int index, int pname, int param)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ELEMENT_SWIZZLE_AMD

public static final int GL_VERTEX_ELEMENT_SWIZZLE_AMD
Accepted by the <pname> parameter of VertexAttribParameteriAMD and GetVertexAttrib{iv|dv|fv|Iiv|Iuiv|Ldv}:

See Also:
  - Constant Field Values

### GL_VERTEX_ID_SWIZZLE_AMD

public static final int GL_VERTEX_ID_SWIZZLE_AMD
Selected by the <pname> parameter of ProgramParameteri and GetProgramiv:

See Also:
  - Constant Field Values

## Method Details

### glVertexAttribParameteriAMD

public static void glVertexAttribParameteriAMD(int index, int pname, int param)